Message Base Manager Topics Menu
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
The items on this menu represent the constituent parts of a
.QWK mail packet - Hello, News, NewFiles, Bulletins,
Messages, BBS Info and Goodbye.

Use the cursor keys, PgUp and PgDn to highlight the required
Topic.

Then press Enter or Tab.

More Help can be obtained by pressing F1 again once 'inside'
the selected Topic.

Tab sometimes gives a broader function than Enter.

For instance, Tab allows you to view ALL 'NewFiles' to date
whereas Enter only shows you today's NewFiles (once).

Tab also allows entry to items which show 'none unread' when
Enter simply bypasses the item.

At the Bulletins topic, pressing Enter initiates 'quick browse
conference 0' mode, skipping to next item (NewFiles) if there
are no unread bulletins in conference 0. Tab gives 'general
browse all conferences' mode and enters the Bulletins area even
if there are no unread bulletins.

At the Hello, News, NewFiles and Goodbye topics, pressing
Shift/Tab causes Power-QWK to call another program (of your
choice) to process the associated file (similar action to
pressing Shift/Tab to read a Bulletin).

If you read one of these files using Tab or Return then, if
the file is 64Kb or less, Power-QWK uses its fast, in-memory
display routines to give the best possible display with the
maximum number of built-in features. Just about every file you
ever receive will fall within this category.

If the file is larger than 64Kb then Power-QWK sets no limit at
all on the size of the file but screen updates are performed
directly from the disc. This means that PgUp when there has been
no preceding PgDn (e.g., PgUp following skip to end-of-file) is
slower than Power-QWK's normal display.

Forward reading and PgDn are performed at normal speed.

Power-QWK does not support Ansi files larger than 64Kb.

If you need to browse a large file rather than just reading it
then use Shift/Tab to call your favourite Listing program.

You can also use Shift/Tab to pass Hello, News and Goodbye files
to programs such as TheDraw and UUEncode.

At the Messages topic, pressing Enter causes entry to the Messages
area only if there is unread mail. Pressing Tab forces entry to
the area, whether or not there is unread mail.

On entry to the area, Power-QWK checks for the existence of a
.REP file in your upload directory. If one exists, it allows
the option of either attaching to it, to continue adding messages
or editing existent messages; or deleting it; or appending its
contents to the Prune Archive (if you keep a Prune Archive).

The latter facility is intended to aid those users who do not
wish to download their own replies from online services. It
allows your own messages to be read at a later date without
going online.

Messages appended to Prune Archive in this manner are given a
message number of 00 (the true online message number being
unknown). This causes your own messages to move to the head of
the list when you sort on message number within the Message
Pick List.

At the Hello, News, NewFiles and Goodbye topics, pressing Del
will cause Power-QWK to delete the message base file associated
with that topic, if it exists.

Power-QWK asks for confirmation before performing the deletion.

D -  Specify whether Power-QWK is to date/time stamp messages.

     This allows you to tell Power-QWK to leave the message
     header date/time field blank for the current online service,
     rather than inserting date-written (obtained from your PC
     clock).

     For Tomcat services, a blank date/time stamp tells the mail
     door to stamp the message with the date/time uploaded.

     For other services, you should only tell Power-QWK to blank
     this field if you have configured the online door to date
     stamp messages for you.

E -  Enable processing of old QWK packets. This simply resets
     Power-QWK's 'Last Message Processed' date. This enables, for
     the next Power-QWK session only, processing of out-of-date
     QWK files automatically, without first prompting for user
     confirmation.

G -  Gateway to DOS.

N -  Specify the number of standard files to be ignored in
     NEWFILES files.

     At the time of production of this version of Power-QWK, the
     only recognisably formatted NewFiles listing is the 2-line
     entry listing provided by Tomcat! services.

     (There may be others but they are unknown to the author).

     If your online service is Tomcat!, or one that provides
     Tomcat! style listings then you may tell Power-QWK to
     ignore one or more files at the end of each day's listings.

     (Sysops normally have two standard files which appear as
     'new' every day so that they are not missed by newcomers to
     the service).

     If your online service does not provide this type of listing
     then you should set this parameter to the value 9. You should
     also not use the Power-QWK NewFiles Sort facility.

R -  Call the Power-QWK Rebuild facility.

     This allows you to do any of the following either for a
     single conference or for all conferences:

          - Rebuild Message Index;

          - Validate, and correct if necessary, Power-QWK's
            'current position' pointers, optionally marking
            all messages as 'Read' or 'Unread' at the same time.

     You may also Rebuild the Bulletins Area of the current
     message base.

S -  Sort NewFiles.

     If your online mail service provides a Tomcat!-style 2-line
     entry NewFiles listing then this facility may be used to
     sort the entries in that listing (file NEWFILES.DAT) into
     ascending alphanumeric sequence.

     If you have other NewFiles files, accumulated in the past,
     then you can have them merged into your Power-QWK Message
     Base NewFiles as long as you ensure that they are in the
     correct format:

                       Entry 1 line 1 CR/LF
                       Entry 1 line 2 CR/LF
                       CR/LF
                       Entry 2 line 1 CR/LF
                       Entry 2 line 2 CR/LF
                       CR/LF
                       Entry 3 line 1 CR/LF

     and so on, with no additional title or data lines.

     To merge such files into the Power-QWK system, simply
     place them (as many as you like up to a total of about six
     megabytes) in the appropriate Message Base subdirectory
     (DLINE if you are a Direct-Line user) and then press S
     at the Power-QWK Topics Menu.

     Note that each of these files must be named NEWFILES.*
     e.g., NEWFILES.1, NEWFILES.ABC, NEWFILES.FOO, and so on.

     Power-QWK will merge together and sort all NEWFILES.*,
     including NEWFILES.DAT but excluding NEWFILES.BAK, to
     form a new NEWFILES.DAT.

     When Power-QWK has finished, don't forget to delete all
     the unwanted old files (don't use del newfiles.* though -
     you'll delete NEWFILES.DAT as well!!).

     In tests on an 8MHz XT clone, Power-QWK sorted 60Kb in a
     few seconds and 1.2 megabytes in eleven minutes. Of course,
     it depends on your disc layout, fragmentation, etc.

     Power-QWK always APPENDS each day's new files to
     NEWFILES.DAT so it's worth running the sort maybe once a
     month to get things back in order again.
