Message Display Screen
~~~~~~~~~~~~~~~~~~~~~~
Return -  Move on to the next screen of the current message. If
          there are no more screens in the current message then
          mark the current message as read and move to the next
          unread message in the current conference.

          If there are no unread messages in the current
          conference then, if the current conference was entered
          normally then exit to the conference selection menu; if
          the conference was entered forcibly (using Tab at the
          conference menu), because there were no unread messages
          in the first place, then assume that the user is
          browsing and do nothing.

          See also Ctrl/CsrDn (or Ctrl/d or / or ?). These have
          the same action as Return except that unread messages
          are presented in thread order instead of date/time
          order. i.e., the sequence is 'date/time within Subject'
          instead of just 'date/time'.

Ctrl/Return - Mark current message as read and move on to next
              unread message. If there are no further unread
              messages in the current conference, exit to the
              conference selection menu.

^ - Mark current message as read and move on to PREVIOUS unread
    message in the current conf; if there is no previous unread,
    revert to forward reading, if there are no unread messages in
    the current conference, exit to the conference menu.

Tab -    Skip to the oldest unread message in the current 
         conference.

Esc -    Return to the Power-QWK Conference Menu.

Home - Skip to the beginning of the current message.

End - Skip to the end of the current message.

Ctrl/Home - Skip to the first message in the conference.

Ctrl/End - Skip to the last message in the current conference.

Ins      } These keys may be used to mark the current message as
Ctrl/Ins } Alpha, Beta or Delta, respectively. For an explanation
Del      } of these terms, press F2 to display the Message Pick
           List and then press F1 for help.

A -      ANSI Animate the current message.

         Power-QWK supports standard ANSI plus ANSI Art and ANSI
         Music.

         Speed of display may be varied, on a scale from 0 to 50,
         by pressing the Cursor Up and Down keys while the
         message is being displayed.

         The default speed is 0 (the fastest) and each press of
         the Cursor Up or Down keys increases or decreases speed
         by one point on the scale.

         Note that the speed of play of Ansi music is not affected.

         For a full description of both the ANSI standard and the
         GW-BASIC PLAY command format adopted for Ansi Music,
         please refer to the file ansiart.doc, included in the
         Power-QWK package.

D -      Move Down to the chronologically 'next' message in the
         current conference, whether it has been read already or
         not.

         Same as + (plus) or = (equals).

E -      Examine the current message for lines which match the
         current Wildcard pattern, as set up by a previous W
         command (see 'W', below).

F -      File the current message.

         Power-QWK asks you for the name of the file to which
         the message is to be appended, offering the default
         name from Power-QWK Configuration as a suggestion.

         If the file does not exist, it is created.

         If the supplied name starts with an exclamation mark (!)
         then the exclamation mark is removed and the named file
         is emptied before use.

G -      Gateway to DOS.

I -      Reply to the current message, also importing another 
         file into the reply.

L -      Send a LineFeed character to the printer.

M -      Toggle the Marked status of the current message.

N -      Send a NewPage (FormFeed) character to the printer.

P -      Print the current message.

R -      Reply to the current message.

S -      Say. i.e., add a message to the current conference 
         which is not a reply to some other message. Initiate a 
         thread.

T -      Steal a Tagline from anywhere on the screen.

U -      Move Up to the chronologically 'previous' message in
         the current conference, whether it has been read already
         or not.

         Same as - (hyphen) or _ (underscore).

W -      Initiate a Wildcard Search for a text string. Power-QWK
         will search in message bodies and optionally include
         Subject fields.

         Power-QWK prompts for a pattern to be searched for. This
         may include any number of * and ? wildcards. Any trailing
         space characters are truncated.

         If the truncated pattern does not begin with * then
         Power-QWK inserts * at the beginning of the pattern.

         If it does not end with * then Power-QWK adds * to the
         end.

         Power-QWK then searches for whole LINES within messages
         which match the supplied pattern. Power-QWK inserts a
         space character at the beginning and end of each line
         before attempting the match.

         Thus, the pattern '*bat*' will match any message which
         contains at least one line which contains the STRING
         'bat'.

         The pattern '* bat *' will match any message which
         contains at least one free-standing occurrence of the
         WORD 'bat'. Careful with this one - it won't match words
         which are immediately followed by punctuation symbols.

         Searching for whole words is best accomplished by not
         including the second space in the search pattern.

         e.g., '* bat*'. This will also find words which merely
         BEGIN with 'bat' but at least no occurrences of 'bat,'
         or 'bat.' will be missed.

         The pattern '* ??b*' will match any message which
         contains at least one WORD whose third letter is b.

         etc.

         See also 'E' above and 'Y' below.

X -      Same as 'Say' but also import another file into the 
         message.

Y -      Finds 'Yet another' message which matches the pattern
         previously set up by a previous W command (see W, above).

         So, to find every message in a conference which contains
         a specific string, use W to find the first message and
         then use Y to find each other message in turn.

         See 'E' above to find each occurrence of the string
         within each message found.

# or ~   Skip to message number. Power-QWK will ask you for a
         message number and then search for it in the current
         conference. If a message is found with the number you
         supply, it is displayed.

         If the message currently on display is a reply then
         Power-QWK will offer as a suggestion the number of the
         message to which the current message refers.

+ or = } Move to the chronologically 'next' message in the
         current conference, whether or not it has been read
         already.

- or _ } Move to the chronologically 'previous' message in the
         current conference, whether or not it has been read
         already.

CursorDown - These keys may be used to scroll down and up,
CursorUp     respectively, through the current message.

Ctrl/CsrUp - Move to the previous message in the current THREAD
Ctrl/u       whether it has been read already or not.

             Two or more messages are said to form a thread if
             they have identical Subject fields (ignoring case).

Ctrl/CsrDn - The action of this command depends upon whether
Ctrl/d       there were unread messages in the current conference
/ or ?       at the time you entered it. i.e., whether you are in
             'initial read' mode or 'conference browse' mode.

             In initial read mode, the action is identical to
             Return except that messages are followed in thread
             order instead of chronological order. i.e., in the
             order date/time within Subject instead of just
             date/time.

             In conference browse mode, this command skips to the
             next message in the current thread or beeps if there
             are no more messages in the current thread.

Alt/CursorUp - Set Criteria for BACKWARDS Wildcard Search. Once
               set, these values survive even if you switch to a
               different conference.

               When the criteria have been set, successive messages
               which satisfy the criteria may be displayed by
               repeatedly pressing the F4 key.

Alt/CursorDown - Set Criteria for FORWARDS Wildcard Search. Once
                 set, these values survive even if you switch to
                 a different conference.

                 When the criteria have been set, successive
                 messages which satisfy the criteria may be
                 displayed by repeatedly pressing the F4 key.

CursorRight - scroll the display rightwards one character position.

CursorLeft - scroll the display leftwards one character position.

Ctrl/CursorLeft - scroll the display leftwards to the left hand
                  edge of the message. i.e., after using Cursor
                  Right, Ctrl/CursorLeft may be used to revert the
                  screen to normal.

F2 - Display the Message Pick List

     For more help, press F1 when the Pick List is on display.

F4 - Find first or next message in a Wildcard Search.

     First, set up search criteria with Alt/CursorUp or
     Alt/CursorDown (see above).

F7 - Change message text background colour.

F8 - Change message text foreground colour.

Alt/D - same as Alt/CursorDown.

Alt/R - same as R - Reply to current message - but any existent
        Quoting Policy is switched OFF temporarily (i.e., just
        for the current message).

        This enables Ansi messages to be quoted in replies but
        without the addition of any Preamble, Postamble or
        Quoting String.

Alt/U - same as Alt/CursorUp.

PgDn - Move to next screen of current message, if any.

PgUp - Move to previous screen of current message, if any.

